#' @importFrom dplyr %>% bind_cols select select_ filter filter_ mutate mutate_ transmute transmute_ group_by group_by_
NULL

#' @export
print.friendlyts <- function(x,...){
  get("print_fts",x)(...)
}

#' @export
`[.friendlyts` <- function(x,...){
  #x$values_fts(...)
  get("values_fts",x)(...)
}

#' @export
`[<-.friendlyts` <- function(x,...,value){
  get("modify_fts",x)(...,value)
  x
}

#' @export
summary.friendlyts <- function(object,...){
  get("summary_fts",object)()
}

#' @export
plot.friendlyts <- function(x,...){
  get("plot_fts",x)(...)
}

#' @export
plot.tbl_friendlyts <- function(x,...){
  plot_tbl_friendlyts(x,...)
}


file_friendlyts <- function(name=NULL,format){
  res <- file_path(filePath=tempdir(),subF="friendlyts",name=name,format=format)
  return(res)
}

file_path <- function(filePath,subF,name=NULL,format=format){
  filedir <- normalizePath(file.path(filePath,subF),mustWork = FALSE)
  dir.create(filedir, showWarnings = FALSE, recursive = TRUE)
  if(is.null(name)) {
    res <- normalizePath(tempfile(pattern = "file", tmpdir = filedir, fileext = paste0(".",format)),mustWork = FALSE)
  } else res <- normalizePath(file.path(filedir,paste0(name,".",format)),mustWork = FALSE)
  return(res)
}
